%global base_name libkcompactdisc

Name:    kf5-%{base_name}
Version: 23.08.4
Release:    1%{?dist}
Summary: A KDE compact disc library

License: LGPLv2+ and GPLv2+
URL:     https://www.kde.org/applications/multimedia/

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{base_name}-%{version}.tar.xz


BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros
BuildRequires: cmake(KF5CoreAddons)
BuildRequires: cmake(KF5Solid)
BuildRequires: cmake(KF5I18n)

BuildRequires: pkgconfig(Qt5DBus)

BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(phonon4qt5)

Conflicts: kde-l10n < 17.03

%description
%{summary}.

%package devel
Summary:  Development files for %{name}
Requires: %{name} = %{version}-%{release}
%description devel
%{summary}.


%prep
%autosetup -n %{base_name}-%{version} -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html --with-man



%files -f %{name}.lang
%license COPYING*
%{_kf5_libdir}/libKF5CompactDisc.so.5*

%files devel
%{_kf5_includedir}/KCompactDisc/
%{_kf5_libdir}/libKF5CompactDisc.so
%{_kf5_libdir}/cmake/KF5CompactDisc/
%{_qt5_archdatadir}/mkspecs/modules/qt_KCompactDisc.pri


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
